Bug 1761605 - [RFE] python-boto3 build for epel8
Summary: [RFE] python-boto3 build for epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-boto3
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1774229 1774232
Blocks: 1765877
TreeView+ depends on / blocked
 
Reported: 2019-10-14 20:58 UTC by Gary Buhrmaster
Modified: 2019-12-07 02:10 UTC (History)
6 users (show)

Fixed In Version: python-boto3-1.10.21-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-07 02:10:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Gary Buhrmaster 2019-10-14 20:58:26 UTC
Please build python-boto3 for EPEL 8.

python-boto3 had been released with EL 7.x, but apparently not with EL 8.  Request it be added in EPEL 8.

Note that python-boto3 has been requested to be removed from EPEL 7 via ticket #1731916 since it is now included in EL, but that does not seem to preclude it being added to EPEL 8.

Comment 1 Charalampos Stratakis 2019-10-23 01:02:11 UTC
I see boto3 included in the rhel-HighAvailability and rhel-ResilientStorage repositories for RHEL8. cc'ing the maintainer for more info.

Comment 3 Gary Buhrmaster 2019-10-23 08:50:14 UTC
(In reply to Charalampos Stratakis from comment #1)
> I see boto3 included in the rhel-HighAvailability and rhel-ResilientStorage
> repositories for RHEL8. cc'ing the maintainer for more info.

First, apologizes, as I was looking only at CentOS repos (and not RHEL repos) when I made my request.  As I understand it, those RHEL add-on (priced) features and their packages were not typically available in CentOS (at least in CentOS 7), and were built in EPEL (possibly using a different process than what RH with RHEL itself was doing?) in order to support CentOS users without a RHEL subscription (such as myself).  I will admit I really don't fully understand the entirety of the historical and current licensing and packaging issues involved here.

The primary purpose of the request is to be able to build the buildbot package for CentOS 8, and python-boto3 is one of the build dependencies that are necessary.

Thanks.

Comment 4 Petr Viktorin 2019-10-23 09:14:45 UTC
The short story is that volunteers can maintain packages in EPEL, if they want to. EPEL is part of Fedora, a community project.
This request is a suggestion for someone on how to spend their free time (or, at some companies, their "not contributing directly to the bottom line" or "helping out the community" time, which, as you can probably imagine, is limited and frequently interrupted with higher-priority work).
Your mention that it will help Buildbot does make it more attractive, though :)


If you'd like to help out, here's a guide on how to get started: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 7 Orion Poplawski 2019-11-19 20:14:31 UTC
I can build this.  Please add me (orion) to the python3-boto package.  I've requested epel8 branches:

https://pagure.io/releng/fedora-scm-requests/issue/19822
https://pagure.io/releng/fedora-scm-requests/issue/19823

Comment 8 Orion Poplawski 2019-11-19 20:27:47 UTC
DEBUG util.py:596:  No matching package to install: 'python3dist(botocore) >= 1.12.101'
DEBUG util.py:596:  No matching package to install: 'python3dist(s3transfer)'

Comment 9 Fedora Update System 2019-11-20 17:05:53 UTC
FEDORA-EPEL-2019-13da552374 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 10 Fedora Update System 2019-11-21 02:43:06 UTC
python-boto3-1.10.21-1.el8, python-botocore-1.13.21-1.el8, python-msgpack-0.6.2-1.el8, python-s3transfer-0.2.1-1.el8, python-treq-18.6.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 11 Fedora Update System 2019-11-21 15:36:43 UTC
FEDORA-EPEL-2019-13da552374 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 12 Fedora Update System 2019-11-22 02:23:17 UTC
python-blist-1.3.6-23.el8, python-boto3-1.10.21-1.el8, python-botocore-1.13.21-1.el8, python-msgpack-0.6.2-1.el8, python-s3transfer-0.2.1-1.el8, python-snappy-0.5.4-5.el8, python-treq-18.6.0-1.el8, python-ujson-2.0-0.2.20170206git2f1d487.el8, python-wsaccel-0.6.2-20.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 13 Fedora Update System 2019-12-07 02:10:45 UTC
python-blist-1.3.6-23.el8, python-boto3-1.10.21-1.el8, python-botocore-1.13.21-1.el8, python-msgpack-0.6.2-1.el8, python-s3transfer-0.2.1-1.el8, python-snappy-0.5.4-5.el8, python-treq-18.6.0-1.el8, python-ujson-2.0-0.2.20170206git2f1d487.el8, python-wsaccel-0.6.2-20.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.